session.h File Reference
`#include <jack/types.h>`
`#include <jack/weakmacros.h>`

Go to the source code of this file.

## Data Structures

struct | _jack_session_event
struct | jack_session_command_t

## Typedefs

typedef enum JackSessionEventType | jack_session_event_type_t
typedef enum JackSessionFlags | jack_session_flags_t
typedef struct _jack_session_event | jack_session_event_t
typedef void(* | JackSessionCallback )(jack_session_event_t *event, void *arg)

## Enumerations

enum | JackSessionEventType { JackSessionSave = 1, JackSessionSaveAndQuit = 2, JackSessionSaveTemplate = 3 }
enum | JackSessionFlags { JackSessionSaveError = 0x01, JackSessionNeedTerminal = 0x02 }

## Functions

int | jack_set_session_callback (jack_client_t *client, JackSessionCallback session_callback, void *arg) JACK_WEAK_EXPORT
int | jack_session_reply (jack_client_t *client, jack_session_event_t *event) JACK_WEAK_EXPORT
void | jack_session_event_free (jack_session_event_t *event) JACK_WEAK_EXPORT
char * | jack_client_get_uuid (jack_client_t *client) JACK_WEAK_EXPORT
jack_session_command_t * | jack_session_notify (jack_client_t *client, const char *target, jack_session_event_type_t type, const char *path) JACK_WEAK_EXPORT
void | jack_session_commands_free (jack_session_command_t *cmds) JACK_WEAK_EXPORT
char * | jack_get_uuid_for_client_name (jack_client_t *client, const char *client_name) JACK_WEAK_EXPORT
char * | jack_get_client_name_by_uuid (jack_client_t *client, const char *client_uuid) JACK_WEAK_EXPORT
int | jack_reserve_client_name (jack_client_t *client, const char *name, const char *uuid) JACK_WEAK_EXPORT
int | jack_client_has_session_callback (jack_client_t *client, const char *client_name) JACK_WEAK_EXPORT